function streamer(laenge, fs, ziel)
%
%
%   Signal als Endlosstream ausgeben
%
%   Hochschule München
%   Labor für Maschinendynmik
%   Dipl.-Ing. Armin Rohnen LbA
%
%   München, 3. Januar 2017
%
%   -----------------------------------------------------------------------
%   Übergabeparameter:
%   ==================
%
%   laenge                  angetsrebte Länge des Signals in Sekunden
%                           wird auf die nächstliegende vielfache der
%                           Periodendauer gekürzt
%   fs                      Abtastrate
%   ziel                    daq-Objekt mit dem Ausgabegerät
%
%
%%

global pos signal

n=laenge * fs;                  % Anzahl der Messwerte für die Outputqueue

if pos+n-1 > length(signal)     % wenn das Streaming über das Signalende hinausgehen sollte
    stream=signal(pos:length(signal),1);
    streamlaenge = length(stream);
    rest = length(signal)-pos;    % Restlänge bestimmen
    stream(streamlaenge+1:streamlaenge+rest,1)=signal(1:rest,1);
    pos = rest+1;
else
    stream = signal(pos:pos+n-1,1);
    pos = pos+n;
end;

queueOutputData(ziel, stream); 
